
Redmine - Defect #11051

reposman.rb fails in 1.4.2 because of missing require for rubygems

2012-05-30 12:05 - Martin Corino

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version: 2.0.2   

Resolution: Fixed Affected version: 1.4.2

Description

In older version(s) of Redmine (1.2 in our case) rubygems is implicitly loaded by one of the other support libraries required at the start

of the script.

In 1.4.2 these libraries have changed and implicit loading of rubygems has gone leading to a LoadError on "require 'activeresource'".

Adding a "require 'rubygems'" before this code solves the issue.

Associated revisions

Revision 9742 - 2012-05-30 19:56 - Jean-Philippe Lang

Adds missing require 'rubygems' (#11051).

History

#1 - 2012-05-30 12:06 - Martin Corino

We're running Redmine 1.4.2 using MRI 1.8.7 and Rails 2.3.14

#2 - 2012-05-30 12:39 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

#3 - 2012-05-30 19:58 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.4.3

- Resolution set to Fixed

I'm using ruby1.9.3 + rubygems 1.8.23 and it actually works as is.

The fix is committed in r9742 anyway, thanks.

#4 - 2012-05-30 20:31 - Martin Corino

Jean-Philippe Lang wrote:

I'm using ruby1.9.3 + rubygems 1.8.23 and it actually works as is.

 That's correct. MRI 1.9.2+ loads rubygems by default. The pre-1.9 versions do not.

#5 - 2012-06-03 10:07 - Jean-Philippe Lang

- Target version changed from 1.4.3 to 2.0.2

Merged in 1.4 and 2.0.

#6 - 2012-06-03 10:08 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/9742
http://www.tcpdf.org

